#!/bin/bash

#03.08.01シェル変更
#site-lib内formフォルダ内を消すよう変更
#pgname変数追加

#改変の場合はこのシェルのファイル名
#pgname変数を適宜変更の事

prefix=/usr
orcadir=${prefix}/lib/jma-receipt
srcdir=${prefix}/local/site-jma-receipt
sitelib=${orcadir}/site-lib
etcdir=/etc/jma-receipt

#下記PGIDはそれぞれのPG名に変更の事
#PGIDの後ろに * は必須
pgname=R1ORCA64*

usrname=`whoami`

# user check
if [ $usrname != "root" ] ; then
  echo -e "\nrootユーザで実行してください\n"
  exit 1
fi

echo "アンインストール中..."

  for i in ${srcdir}/cobol/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/cobol/copy/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/form/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${orcadir}/form/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${orcadir}/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${srcdir}/etc/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

  for i in ${orcadir}/etc/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done
  
 for i in ${sitelib}/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${sitelib}/form/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${srcdir}/record/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${orcadir}/record/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

 for i in ${sitelib}/record/${pgname}
  do
    if [ -f $i ] ; then
      rm -rf $i
    fi
  done

# Delete Files
rm /usr/local/bin/r1orca64-run.sh
rm /usr/local/bin/r1orca64
rm /usr/local/bin/question.txt

  echo "アンインストール完了!!"
