#!/bin/bash

. /etc/jma-receipt/jma-receipt.env

usrname=`whoami`

# LucidǻѤ륳UTF-8ؤѴ
# Lucid message (default character-code EUC)
function echomsg() {
  if [ "${LANG}" = "ja_JP.UTF-8" ] || [ "${LANG}" = "ja_JP.UTF8" ] ||
     [ "${LANG}" = "ja_JP.utf8" ]; then
    if [ -z $2 ]; then
      echo `echo $1 | nkf -wE`
    else
      echo -n `echo $1 | nkf -wE`
    fi 
  else
    if [ -z $2 ]; then
      echo $1
    else
      echo -n $1
    fi
  fi
  return 0
}

# user check
if [ $usrname != "root" ] ; then
  echomsg "\n顼root桼Ǽ¹ԤƤ\n"
  exit 1
fi

echomsg "ǻȯ(JIS34б)  ץॳԡ..."

# ¸ѥå dpkg ޥɤǸ
# ̤󥹥ȡǤХ󥹥ȡ뤹롣
PKGCHK=`dpkg -l imagemagick | grep ^ii\ | awk '{print $2}'`
if [ "$PKGCHK" != "imagemagick" ]; then 
  apt-get update
  apt-get install -y imagemagick
fi
#
PKGCHK=`dpkg -l cups-pdf | grep ^ii\ | awk '{print $2}'`
if [ "$PKGCHK" != "cups-pdf" ]; then 
  apt-get update
  apt-get install -y cups-pdf
fi
#
#AR100 install
DEVICE=`lpstat -t | grep device | grep AR100 | awk '{print $3}'`
if [ "$DEVICE" != "AR100" ]; then
  lpadmin -p AR100 -v cups-pdf:/ -P /usr/share/ppd/cups-pdf/CUPS-PDF.ppd -E
  cupsdisable AR100
fi
#
# file copy
for d in cobol doc form lddef scripts ; do
  cp -af ${d} ${SITESRCDIR}
done

# kentan.inc copy
cp ${SYSCONFDIR}/kentan.inc ${SYSCONFDIR}/kentan.inc.bak
sed '/r1orca64/d' ${SYSCONFDIR}/kentan.inc.bak > ${SYSCONFDIR}/kentan.inc
rm -rf ${SYSCONFDIR}/kentan.inc.bak
echo -e "\tr1orca64;" >> ${SYSCONFDIR}/kentan.inc

# site-upgrade.sh run
if [ -f ${SCRIPTSDIR}/allways/site-upgrade.sh ] ; then
	bash ${SCRIPTSDIR}/allways/site-upgrade.sh
	install -g root -o root -m 755 bin/r1orca64-run.sh /usr/local/bin/
	install -g root -o root -m 755 bin/r1orca64 /usr/local/bin/
else
	echomsg "顼ǻȯ(JIS34б)  ץॳԡ۾ｪλ!!"
	exit 1
fi

sync
echomsg "ǻȯ(JIS34б)  ץॳԡλ!!"
echomsg "ǥ쥯ȥͭѹ..."

#ץ饰ǽʤ褦˽ͭԤorcaѹʽ֤ˤ
chown orca.orca /usr/local/site-jma-receipt/cobol
chown orca.orca /usr/local/site-jma-receipt/cobol/copy
chown orca.orca /usr/local/site-jma-receipt/doc
chown orca.orca /usr/local/site-jma-receipt/data
chown orca.orca /usr/local/site-jma-receipt/form
chown orca.orca /usr/local/site-jma-receipt/lddef
chown orca.orca /usr/local/site-jma-receipt/record
chown orca.orca /usr/local/site-jma-receipt/scripts
chown orca.orca /usr/local/site-jma-receipt/scripts/allways
chown orca.orca /usr/local/site-jma-receipt/scripts/kentan

chmod 2775 /usr/local/site-jma-receipt/cobol
chmod 2775 /usr/local/site-jma-receipt/cobol/copy
chmod 2775 /usr/local/site-jma-receipt/doc
chmod 2775 /usr/local/site-jma-receipt/data
chmod 2775 /usr/local/site-jma-receipt/form
chmod 2775 /usr/local/site-jma-receipt/lddef
chmod 2775 /usr/local/site-jma-receipt/record
chmod 2775 /usr/local/site-jma-receipt/scripts
chmod 2775 /usr/local/site-jma-receipt/scripts/allways
chmod 2775 /usr/local/site-jma-receipt/scripts/kentan

echomsg "ǥ쥯ȥͭѹλ!!"
exit 0
